/*++

Copyright (c) 2010-2015 ELMOS Co., Ltd.

Module Name:
	AWG100.h
Abstract:
	AWG-100 API library definitions
Revision History:
	11/03/10	Created.
	11/07/08	Added AWG100_ForcedStop.
	11/07/08	Added AWG100_GetStatus.
	13/04/26	Support for Windows 8.
	15/06/02	Modified time out.

--*/

#ifndef AWG100_H
#define AWG100_H

#ifdef AWG100_EXPORTS_
#define AWG100_API __declspec(dllexport)
#else
#define AWG100_API __declspec(dllimport)
#endif

//
// Return code
//
enum {
	AWG100_OK,
	AWG100_DEVICE_NOT_FOUND,
	AWG100_MEMORY_ERROR,
	AWG100_FILE_ERROR,
	AWG100_COMMUNICATION_ERROR,
	AWG100_EXECUTION_ERROR,
	AWG100_OTHER_ERROR
};

//
// AWG-100 status
//
#define	AWG100_STATUS_NO_DATA		0	// g`o͒~(g`t@Cݒ)
#define	AWG100_STATUS_READY			1	// g`o͒~(g`t@Cݒ)
#define	AWG100_STATUS_RUNNING		2	// g`o͒

#ifdef __cplusplus
extern "C" {
#endif

//
// Functions
//
AWG100_API int WINAPI AWG100_SetFile (const char *SerialNumber, const char *FilePath);
AWG100_API int WINAPI AWG100_Start (const char *SerialNumber);
AWG100_API int WINAPI AWG100_Stop (const char *SerialNumber);
AWG100_API int WINAPI AWG100_ForcedStop (const char *SerialNumber);
AWG100_API int WINAPI AWG100_GetStatus (const char *SerialNumber, BYTE *Status);

#ifdef __cplusplus
}
#endif

#endif  /* AWG100_H */
